# ATIVertexAttribArrayObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATIVertexAttribArrayObject

    java.lang.Object
      org.lwjgl.opengl.ATIVertexAttribArrayObject

    public final class ATIVertexAttribArrayObject

extends java.lang.Object

Method Summary
`static void` `glGetVertexAttribArrayObjectATI(int index, int pname, java.nio.FloatBuffer params)`
`static void` `glGetVertexAttribArrayObjectATI(int index, int pname, java.nio.IntBuffer params)`
`static void` `glVertexAttribArrayObjectATI(int index, int size, int type, boolean normalized, int stride, int buffer, int offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glVertexAttribArrayObjectATI

    public static void glVertexAttribArrayObjectATI(int index,
                                                    int size,
                                                    int type,
                                                    boolean normalized,
                                                    int stride,
                                                    int buffer,
                                                    int offset)

### glGetVertexAttribArrayObjectATI

    public static void glGetVertexAttribArrayObjectATI(int index,
                                                       int pname,
                                                       java.nio.FloatBuffer params)

### glGetVertexAttribArrayObjectATI

    public static void glGetVertexAttribArrayObjectATI(int index,
                                                       int pname,
                                                       java.nio.IntBuffer params)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.